# $Revision: 1.8 $, $Date: 2007-12-22 19:29:39 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_with	tests		# perform "make test" (requires network access)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Distribution
Summary:	Test::Distribution - perform tests on all modules of a distribution
Summary(pl.UTF-8):	Test::Distribution - wykonywanie testów na wszystkich modułach z dystrybucji
Name:		perl-Test-Distribution
Version:	1.26
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	64dc13f51f60f6022bb8e628f1297957
URL:		http://search.cpan.org/dist/Test-Distribution/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	gnupg-plugin-keys_hkp
BuildRequires:	perl-Module-CoreList >= 1.93
BuildRequires:	perl-Module-Signature
BuildRequires:	perl-File-Find-Rule
BuildRequires:	perl-Pod-Coverage >= 0.17
BuildRequires:	perl-Test-Pod-Coverage
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When using this module in a test script, it goes through all the
modules in your distribution, checks their POD, checks that they
compile ok and checks that they all define a $VERSION.

This module also performs a numer of test on the distribution itself.
It checks that your files match your SIGNATURE file if you have one.
It checks that your distribution isn't missing certain 'core'
description files. It checks to see you haven't missed out listing any
pre-requisites in Makefile.PL.

%description -l pl.UTF-8
W przypadku użycia tego modułu w skrypcie testowym, przechodzi on po
wszystkich modułach w dystrybucji, sprawdzając ich POD, czy się
poprawnie kompilują oraz czy wszystkie definiują $VERSION.

Ten moduł wykonuje także testy na samej dystrybucji. Sprawdza, czy
pliki zgadzają się z plikiem SIGNATURE, jeśli takowy istnieje.
Sprawdza, czy w dystrybucji nie brakuje jakichś głównych plików z
opisem. Sprawdza, czy nie zapomniano wymienić wszystkich zależności w
Makefile.PL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	--installdirs=vendor 

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	--destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Distribution.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Distribution.spec,v $
Revision 1.8  2007-12-22 19:29:39  adamg
- BR: gnupg-plugin-keys_hkp
- do not run tests by default (require network access)

Revision 1.7  2007-12-22 19:08:50  adamg
- additional BRs for tests

Revision 1.6  2007/03/31 20:10:06  qboosh
- BR: perl-Module-Build

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/10/21 19:16:04  ankry
- missing BR, rel. 1

Revision 1.2  2006/07/20 20:41:17  qboosh
- pl, descs

Revision 1.1  2006/07/19 09:41:42  agaran
- initial, 1.26 rel 0.1, builds here (may have missing deps)
